Bug 1046310

Summary: [RFE] progress indicator for lengthy operations
Product: [Retired] oVirt Reporter: Sander <bugzilla>
Component: ovirt-engine-webadminAssignee: Allon Mureinik <amureini>
Status: CLOSED WONTFIX QA Contact: Aharon Canan <acanan>
Severity: low Docs Contact:
Priority: unspecified    
Version: 3.3CC: amureini, bazulay, bugs, bugzilla, ecohen, emesika, iheim, mgoldboi, oourfali, rbalakri, yeylon
Target Milestone: ---Keywords: FutureFeature
Target Release: 3.6.0   
Hardware: x86_64   
OS: Linux   
Whiteboard: storage
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-03-22 15:47:15 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Storage RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Sander 2013-12-24 12:43:37 UTC
Description of problem:

Lengthy operations in oVirt don't show a progress bar.

Version-Release number of selected component (if applicable):


How reproducible:
Start a lengthy operation through the webadmin interface in oVirt
(typically disk related). 

Steps to Reproduce:
1. Start operation
2. Wait for operation to finish

Actual results:
There is no indication of the progress of the operation.

Expected results:
Progress bar indicating the (percentual) progress of the operation.

Additional info:
Most lengthy operations involve qemu-img convert which has built-in support
for a progess indicator ( -p option ).

Comment 1 Eli Mesika 2013-12-25 11:22:45 UTC
Long operation involves async tasks, you can see each task progres by opening the Tasks view (in th UI buttom right corner, near the Events)

This way, you can track long operations stage and the success/failure of each step of it.

Wouldn't that be sufficient to track those operations???

Comment 2 Sander 2014-01-02 16:02:33 UTC
I know about the task progress view, and it is useful for tracking the success/failure of tasks and their steps.

However, it gives no indication of the progress in the steps themselves.

Operations that hit the disk can take a long time.

Cloning a 100GiB disk with 40MiB/s takes almost 45 minutes, during that
time the UI will only show an "executing" step and give no indication of
how far along that specific step is and no approximation of the total time
it will take.

The same thing goes for importing and exporting images, deleting or commiting
snapshots etc.

Comment 3 Barak 2014-04-10 17:55:47 UTC
According to the discussion above, it looks like the RFE is more about storage related operation progress bar.

I know that there are some other RFEs in this area.

Hence moving to storage

Comment 4 Itamar Heim 2015-03-22 15:47:15 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.